<?php

namespace WKO\Model\Entity;

use WKO\Model\Infrastructure\Entity;

class InstallmentRule extends Entity
{
	public ?int $id;
	public bool $enableRule;
	public bool $overrideRules;
	public string $ruleTitle;
	public string $accountNumber;
	public int $minInstallments;
	public int $maxInstallments;
	public float $minInstallmentValue;
	public int $rateTransferType;
	public int $rateTransferFormat;
	public string $rateTransferSimple;
	public string $rateTransferByInstallments;
	public string $installmentDisplay;
	public ?\DateTime $startDate;
	public ?\DateTime $endDate;
	public string $paymentMethodBins;
	public string $excludePaymentMethodBins;
	public string $cardBrands;
	public ?string $products;
	public ?string $brands;
	public ?string $categories;

	protected \DateTime $createdAt;
	protected \DateTime $updatedAt;

	public function getCreatedAt(): \DateTime
	{
		return $this->createdAt;
	}

	public function setCreatedAt(\DateTime $createdAt): void
	{
		$this->createdAt = $createdAt;
	}

	public function getUpdatedAt(): \DateTime
	{
		return $this->updatedAt;
	}

	public function setUpdatedAt(\DateTime $updatedAt): void
	{
		$this->updatedAt = $updatedAt;
	}
}
